Can we call Daisi api call from google colab

I was facing this error
calling https://app.daisi.io/pebble-api/daisies/search with query t-v-karthikeya/N-Style-Transfer

ValueError Traceback (most recent call last)
in ()
1 import pydaisi as pyd
----> 2 n_style_transfer = pyd.Daisi(“t-v-karthikeya/N-Style-Transfer”)

/usr/local/lib/python3.7/dist-packages/pydaisi/pydaisi.py in init(self, daisi_id, base_url, access_token)
96 else:
97 # TODO: Handle git repo connection here
—> 98 raise ValueError(“That daisi could not be found.”)
99
100 ss = self._schema()

ValueError: That daisi could not be found.

link to try== Google Colab

HI @t-v-karthikeya ,

It looks like the runtime is Python 3.7 - PyDaisi requires Python 3.8+. I see you tried to install Python 3.9, but it looks like the runtime is not using it right now. You can see it also in the error traceback:

/usr/local/lib/python3.7/dist-packages/pydaisi/pydaisi.py in init (self, daisi_id, base_url, access_token)
96 else:

Do you know how to use a more recent Python in Google Colab? I found some resources, but maybe you know of a way already. That should allow you to upgrade you PyDaisi client.

Google Colab only uses Python 3.7.13 and we require 3.8+ for our client. While there may be ways to get a newer runtime in Colab, I’d suggest trying an alternative like Binder (mybinder.org), or try running JupyterLite directly in your browser from JupyterLite